MEMCPY(3)

NAME
memcpy - copy memory regions

SYNOPSIS

#include <string.h>

void* memcpy(void *restrict out, const void *restrict in, size_t n);

DESCRIPTION

This function copies n bytes from the memory region pointed to by in to the memory region pointed to by out.

If the regions overlap, the behavior is undefined.

RETURNS

memcpy returns a pointer to the first byte of the out region.

PORTABILITY

memcpy is ANSI C.

memcpy requires no supporting OS subroutines.